
QGIS Application - Bug report #21104

no result buffer error for PostGIS datasets.

2019-01-25 10:40 PM - garret w

Status: Closed

Priority: Normal

Assignee:

Category: Editing

Affected QGIS version:3.4.4 Regression?: No

Operating System: Ubuntu Xenial Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 28922

Description

I get a "no result buffer" error when editing features from a PostGIS source, and some unknown amount of time has passed with no

activity on an open QGIS project. Typically this also results in data loss - specifically if you've added new features.

This error was also an issue with 2.18, and if I recall correctly it happened on both Windows, and Ubuntu installations. In 3.4.4 it seems to

happen slightly more frequently.

"Provider errors: PostGIS error while adding features: no result buffer"

This may be related to another error Im getting when adding data from PostGIS and some time has passed. I get an error...

"[server closed the connection unexpectedly This probably means the server terminated abnormally before or while processing the

request.]"

I do not know if this is due to server set up or qgis

Related issues:

Duplicates QGIS Application - Bug report # 20170: "no result buffer" warning,... Closed 2018-10-19

History

#1 - 2019-01-25 11:29 PM - Jürgen Fischer

- Duplicates Bug report #20170: "no result buffer" warning, application restart required after PostGIS connection is lost and reconnected added

#2 - 2019-01-25 11:30 PM - Jürgen Fischer

- Resolution set to duplicate

- Status changed from Open to Closed
